﻿using PolyBeam.Connector;
using PolyBeam.DataModels;

PolyBeamDataModel? polyBeamDataModel = null;

// Open Model in PolyBeam
using (var polyBeam = new PolyBeamConnection())
{
    polyBeam.Open();

    Console.WriteLine("Make modifications to the model directly in the PolyBeam UI. Press any key to continue.");
    Console.ReadKey();

    polyBeamDataModel = polyBeam.RetrieveModel();
    if (polyBeamDataModel != null) Console.WriteLine("Model was retrieved successfully.");

    polyBeam?.CloseApplication();
}

Console.WriteLine("Press any key to exit.");
Console.ReadKey();
